org.apache.http.io

## Interface HttpMessageParserFactory<T extends HttpMessage>

- All Known Implementing Classes:
    DefaultHttpRequestParserFactory, DefaultHttpResponseParserFactory

      public interface HttpMessageParserFactory<T extends HttpMessage>

  Factory for `HttpMessageParser` instances.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpMessageParser<T>` | `create(SessionInputBuffer buffer, MessageConstraints constraints)`

- - ### Method Detail

    - #### create

          HttpMessageParser<T> create(SessionInputBuffer buffer,
                                    MessageConstraints constraints)

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.